Skip to content
Start here

Update Web Analytics rules

client.RUM.Rules.BulkNew(ctx, rulesetID, params) (*RuleBulkNewResponse, error)
POST/accounts/{account_id}/rum/v2/{ruleset_id}/rules

Modifies one or more rules in a Web Analytics ruleset with a single request.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings Write
ParametersExpand Collapse
rulesetID string

The Web Analytics ruleset identifier.

params RuleBulkNewParams
AccountID param.Field[string]

Path param: Identifier.

maxLength32
DeleteRules param.Field[[]string]optional

Body param: A list of rule identifiers to delete.

Rules param.Field[[]RuleBulkNewParamsRule]optional

Body param: A list of rules to create or update.

ID stringoptional

The Web Analytics rule identifier.

Host stringoptional
Inclusive booloptional
IsPaused booloptional
Paths []stringoptional
ReturnsExpand Collapse
type RuleBulkNewResponse struct{…}
Rules []RUMRuleoptional

A list of rules.

ID stringoptional

The Web Analytics rule identifier.

Created Timeoptional
formatdate-time
Host stringoptional

The hostname the rule will be applied to.

Inclusive booloptional

Whether the rule includes or excludes traffic from being measured.

IsPaused booloptional

Whether the rule is paused or not.

Paths []stringoptional

The paths the rule will be applied to.

Priority float64optional
Ruleset RuleBulkNewResponseRulesetoptional
ID stringoptional

The Web Analytics ruleset identifier.

Enabled booloptional

Whether the ruleset is enabled.

ZoneName stringoptional
ZoneTag stringoptional

The zone identifier.

Update Web Analytics rules

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/rum"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RUM.Rules.BulkNew(
    context.TODO(),
    "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    rum.RuleBulkNewParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Rules)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "rules": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "created": "2014-01-01T05:20:00.12345Z",
        "host": "example.com",
        "inclusive": true,
        "is_paused": false,
        "paths": [
          "*"
        ],
        "priority": 1000
      }
    ],
    "ruleset": {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "enabled": true,
      "zone_name": "example.com",
      "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "rules": [
      {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "created": "2014-01-01T05:20:00.12345Z",
        "host": "example.com",
        "inclusive": true,
        "is_paused": false,
        "paths": [
          "*"
        ],
        "priority": 1000
      }
    ],
    "ruleset": {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "enabled": true,
      "zone_name": "example.com",
      "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353"
    }
  }
}